Purchase Invoice Lines
The purchase invoice lines resource.
Basehttps://rest.carbon.ms/purchaseInvoiceLines
GET
/purchaseInvoiceLinesList purchase invoice liness
Retrieve a paginated list of purchase invoice liness. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/purchaseInvoiceLines
curl --request GET \
--url 'https://rest.carbon.ms/purchaseInvoiceLines?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"invoiceId": "xyz789",
"invoiceLineType": "string",
"purchaseOrderId": "xyz789",
"purchaseOrderLineId": "xyz789",
"itemId": "xyz789",
"serviceId": "xyz789",
"locationId": "xyz789"
}
]GET
/purchaseInvoiceLinesRetrieve a purchase invoice lines
Fetch a single purchase invoice lines by filtering on `id`.
Query parameters
idstringMatch on the purchase invoice lines's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/purchaseInvoiceLines
curl --request GET \
--url 'https://rest.carbon.ms/purchaseInvoiceLines?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"invoiceId": "xyz789",
"invoiceLineType": "string",
"purchaseOrderId": "xyz789",
"purchaseOrderLineId": "xyz789",
"itemId": "xyz789",
"serviceId": "xyz789",
"locationId": "xyz789"
}